### Method

# Gimp Image list_selected_drawables

since: 3.0

#### Declaration [src]

    GList*
    gimp_image_list_selected_drawables (
      GimpImage* image
    )

#### Description [src]

Returns the list of drawables selected in the specified image.

This procedure returns the list of drawables selected in the specified image. These can be either a list of layers or a list of channels (a list mixing layers and channels is not possible), or it can be a layer mask (a list containing only a layer mask as single item), if a layer mask is in edit mode.

Available since: 3.0

This method is not directly available to language bindings.

#### Return value

Type: A list of `None`

         The list of selected drawables in the image.
         The returned list must be freed with g_list_free(). Layer
         elements belong to libgimp and must not be freed.

The caller of the method takes ownership of the returned data container, but not the data inside it.